Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web
Class WebAppLifeCycleEvent

    java.lang.Object
      org.jboss.portal.web.WebAppEvent
          org.jboss.portal.web.WebAppLifeCycleEvent

    public class WebAppLifeCycleEvent

extends WebAppEvent

Web application life cycle event.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary
`static int` | `ADDED` Application is added.
`static int` | `REMOVED` Application is removed.

Constructor Summary
`WebAppLifeCycleEvent(WebApp webApp, int type)` Creates a new web application life cycle event.

Method Summary
`int` | `getType()` Returns the life cycle type.

Methods inherited from class org.jboss.portal.web.WebAppEvent
`getWebApp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REMOVED

    public static final int REMOVED

  Application is removed.

  See Also:
    Constant Field Values

### ADDED

    public static final int ADDED

  Application is added.

  See Also:
    Constant Field Values

Constructor Detail

### WebAppLifeCycleEvent

    public WebAppLifeCycleEvent(WebApp webApp,
                                int type)
                         throws java.lang.IllegalArgumentException

  Creates a new web application life cycle event.

  Parameters:
    `webApp` - the web application
    `type` - the life cycle type
  Throws:
    `java.lang.IllegalArgumentException` - if the web application is null or the type value is not valid

Method Detail

### getType

    public int getType()

  Returns the life cycle type.

  Returns:
    the life cycle type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.